@consulting_vouchers @javascript
Feature: Consulting my vouchers
  In order to know the vouchers I own
  As a customer
  I want to be able to list my vouchers

  Background:
    Given the store operates on a single channel in the "United States" named "usa"
    And there is a customer "Florian Merle" identified by an email "florian.merle@dedi-agency.com" and a password "florian"
    And the customer "florian.merle@dedi-agency.com" has a voucher with the following amount "25" in the channel "usa"
    And I am logged in as "florian.merle@dedi-agency.com"

  @ui
  Scenario: Consulting my vouchers
    When I am on my voucher list
    Then I should see a voucher with the following amount "$25.00"
