@managing_vouchers @javascript
Feature: Create a voucher
  In order to refund, thank or for any other reason
  As an Administrator
  I want to create a voucher for a customer

  Background:
    Given the store operates on a single channel in the "United States" named "usa"
    And the store has customer "Florian Merle" with email "florian.merle@dedi-agency.com"
    And I am logged in as an administrator

  @ui
  Scenario: Create a voucher
    Given I want to create a new voucher for the "usa" channel
    When I choose "florian.merle@dedi-agency.com" as the customer
    And I set the amount to "100"
    And I add it
    Then I should be notified that it has been successfully created
    And I want to see the list of vouchers
    And I should see a voucher for "florian.merle@dedi-agency.com" with the following amount "$100.00"
