<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusVoucherPlugin\Behat\Page\Shop;

use FriendsOfBehat\PageObjectExtension\Page\SymfonyPageInterface;

interface PaymentPageInterface extends SymfonyPageInterface
{
    public function applyVoucherWithId($id);

    public function isVoucherTotalEqualTo($total): bool;

    public function isOrderTotalEqualTo($total): bool;

    public function removeVoucherWithCode($code);

    public function isVoucherTotalDisplayed(): bool;
}
